Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Alerts
  • Audit Logs
  • Contacts
  • Custom user roles
  • Escalations
  • Forwarding rules
  • Heartbeats
  • Integrations
  • Integration actions
  • Integration outgoing filters
  • Maintenances
  • Notification rules
  • Notification rule steps
  • Policies
  • Team
  • Team Policies
  • Team roles
  • Routing rules
  • Schedules
  • Schedule on-calls
  • Schedule overrides
  • Schedule rotations
  • Schedule timelines
  • Syncs
  • Sync actions
  • Sync action groups
  • JEC
  • Status Page
  • Stakeholder User management
Cloud
Jira Service Management ops / Reference / REST API

JEC

Postman Collection
OpenAPI

Jira Edge Connector (JEC) allows you to run custom scripts on your own infrastructure in response to JSM Operations alerts. This resource represents JEC channels, which define a named connection point between JSM Operations and a locally-running JEC agent. Use it to list, create, get, and delete JEC channels, and to send actions to a channel.

GET

List JEC channelsExperimental

Lists JEC channels according to the provided filters.

  • The user should have view permission for JEC
read:ops-config:jira-service-management

Request

Query parameters

ownerDomain

string

size

string

Responses

Returned if the request is successful

application/json

JecChannelList
GET/api/{cloudId}/v1/jec/channels
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/jec/channels' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "links": { "next": "<string>" }, "values": [ { "id": "<string>", "name": "<string>", "ownerId": "<string>", "ownerDomain": "<string>", "authorAccountId": "<string>" } ] }
POST

Create JEC ChannelExperimental

Create JEC Channel

read:ops-config:jira-service-management
,
write:ops-config:jira-service-management

Request

Request bodyapplication/json

name

string

Required
ownerId

string

Required
ownerDomain

string

Required

Responses

Returned if the request is successful.

application/json

JecChannelWithApiKey
POST/api/{cloudId}/v1/jec/channels
1 2 3 4 5 6 7 8 9 10 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/jec/channels' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "name": "<string>", "ownerId": "<string>", "ownerDomain": "public_myteam" }'
200Response
1 2 3 4 5 6 7 8 { "id": "<string>", "name": "<string>", "ownerId": "<string>", "ownerDomain": "<string>", "authorAccountId": "<string>", "apiKey": "<string>" }
GET

Get JEC channelExperimental

Returns JEC channel

read:ops-config:jira-service-management

Request

Path parameters

id

string

Required

Responses

Returned if the request is successful.

application/json

JecChannelWithApiKey
GET/api/{cloudId}/v1/jec/channels/{id}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/jec/channels/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 { "id": "<string>", "name": "<string>", "ownerId": "<string>", "ownerDomain": "<string>", "authorAccountId": "<string>", "apiKey": "<string>" }
DEL

Delete JEC channelExperimental

Delete JEC channel

read:ops-config:jira-service-management
,
delete:ops-config:jira-service-management

Request

Path parameters

id

string

Required

Responses

Returned if the request is successful

DEL/api/{cloudId}/v1/jec/channels/{id}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/jec/channels/{id}' \ --user 'email@example.com:<api_token>'
POST

Send JEC ActionExperimental

Send JEC Channel Action

read:ops-config:jira-service-management
,
write:ops-config:jira-service-management

Request

Query parameters

channelId

string

Request bodyapplication/json

action

string

Required
actionType

string

Required
details

object

Responses

Returned if the request is successfully accepted.

POST/api/{cloudId}/v1/jec/action
1 2 3 4 5 6 7 8 9 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/jec/action' \ --user 'email@example.com:<api_token>' \ --header 'Content-Type: application/json' \ --data '{ "action": "<string>", "actionType": "<string>", "details": {} }'

Rate this page: